#!/bin/bash

source ./init.sh $1 $2 $3

function quit_if_not_root
{
    if (( $EUID != 0 )); then
        echo "Please run as root"
        exit
    fi
}

function start_wpa()
{
    wpa_supplicant -s -B -i $WLAN_IF -D nl80211,wext -c $WPA_CONF
}

function connect_alibaba_inc()
{
    quit_if_not_root
    ifconfig $WLAN_IF up
    init_dhcp_client
    $DHCP_CLIENT $WLAN_IF
}

start_wpa
connect_alibaba_inc
